aboutsummaryrefslogtreecommitdiff
path: root/runtests
diff options
context:
space:
mode:
Diffstat (limited to 'runtests')
-rwxr-xr-xruntests21
1 files changed, 21 insertions, 0 deletions
diff --git a/runtests b/runtests
new file mode 100755
index 0000000..aadcb92
--- /dev/null
+++ b/runtests
@@ -0,0 +1,21 @@
+#!/usr/bin/env bash
+
+success=true
+for i
+do
+ printf "%-40s" $i
+ if sh -c "$i >$i.log 2>&1" 2>/dev/null
+ then
+ echo PASS
+ else
+ echo FAIL';' output in $i.log
+ success=false
+ fi
+done
+
+if $success; then
+ echo 'ALL TESTS PASSED.'
+ exit 0
+fi
+echo 'TESTS FAILED.'
+exit 1